# Uses of Class
org.eclipse.core.databinding.observable.StaleEvent

Packages that use StaleEvent
Package
Description
org.eclipse.core.databinding.observable
Provides the core APIs for observing changes in objects.

## Uses of StaleEvent in org.eclipse.core.databinding.observable

Methods in org.eclipse.core.databinding.observable with parameters of type StaleEvent
Modifier and Type
Method
Description
`void`
IStaleListener.`handleStale(StaleEvent staleEvent)`
Handle the event that the given observable object is now stale.
`protected void`
DecoratingObservable.`handleStaleEvent(StaleEvent event)`
Called whenever a StaleEvent is received from the decorated observable.